const multer = require('multer');
const path = require('path');

const uploadDestination = './uploads/';
// const uploadDestination = '../client/public/images/uploads/';
// const uploadDestination = '../../resources.letosave.com/uploads/';

const storage = multer.diskStorage({
  destination: (req, file, cb) => {
    cb(null, uploadDestination);
  },
  filename: (req, file, cb) => {
    const uniqueSuffix = Date.now() + "-" + Math.round(Math.random() * 1e9);
    cb(
      null,
      file.fieldname + "-" + uniqueSuffix + path.extname(file.originalname)
    );
  },
});

const upload = multer({ storage: storage });

module.exports = { upload, uploadDestination }; 
