const { Transaction } = require('../models/hospital');

async function generateUniqueTransactionId(hospitalId) {
  const min = 100000000000;
  const max = 999999999999;

  async function getRandomTransactionId() {
    return Math.floor(Math.random() * (max - min + 1)) + min;
  }

  async function isUniqueTransactionId(transactionId) {
    const existingTransaction = await Transaction.findOne({
      hospitalId,
      transactionId,
    });
    return !existingTransaction;
  }

  let transactionId;
  do {
    transactionId = (await getRandomTransactionId()).toString();
  } while (!(await isUniqueTransactionId(transactionId)));

  return transactionId;
}

module.exports = generateUniqueTransactionId;
